import { i as inflate_1 } from "./pako.esm-SxljTded.js";
import { B as BaseDecoder } from "./index-C5cy3J5q.js";
class DeflateDecoder extends BaseDecoder {
  decodeBlock(buffer) {
    return inflate_1(new Uint8Array(buffer)).buffer;
  }
}
export {
  DeflateDecoder as default
};
